Error "Description Time Level Exception" upon JIRA upgrade

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

症状

Upon upgrading JIRA to JIRA version 6.x, the following error will be thrown :

JIRA Access Constraints
You cannot access JIRA at present.
Description	 Time	 Level	 Exception
An error occurred performing JIRA upgrade
The data before the upgrade has been exported to /var/atlassian/application-data/jira/export/jira_autoexport_20130612_052939.zip	2013-06-12 05:30:37	error	
Exception thrown during upgrade: java.lang.NoSuchMethodError: com.atlassian.jira.issue.customfields.searchers.DateTimeRangeSearcher.(Lcom/atlassian/jira/security/JiraAuthenticationContext;Lcom/atlassian/jira/jql/operand/JqlOperandResolver;Lcom/atlassian/jira/util/velocity/VelocityRequestContextFactory;Lcom/atlassian/jira/config/properties/ApplicationProperties;Lcom/atlassian/velocity/VelocityManager;Lcom/atlassian/jira/web/action/util/CalendarLanguageUtil;Lcom/atlassian/jira/jql/util/JqlDateSupport;Lcom/atlassian/jira/issue/customfields/searchers/transformer/CustomFieldInputHelper;Lcom/atlassian/jira/timezone/TimeZoneManager;Lcom/atlassian/jira/datetime/DateTimeFormatterFactory;)V
com.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.NoSuchMethodError: com.atlassian.jira.issue.customfields.searchers.DateTimeRangeSearcher.(Lcom/atlassian/jira/security/JiraAuthenticationContext;Lcom/atlassian/jira/jql/operand/JqlOperandResolver;Lcom/atlassian/jira/util/velocity/VelocityRequestContextFactory;Lcom/atlassian/jira/config/properties/ApplicationProperties;Lcom/atlassian/velocity/VelocityManager;Lcom/atlassian/jira/web/action/util/CalendarLanguageUtil;Lcom/atlassian/jira/jql/util/JqlDateSupport;Lcom/atlassian/jira/issue/customfields/searchers/transformer/CustomFieldInputHelper;Lcom/atlassian/jira/timezone/TimeZoneManager;Lcom/atlassian/jira/datetime/DateTimeFormatterFactory;)V
at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:149)
at com.atlassian.util.concurrent.LazyReference.get(LazyReference.java:112)
at com.atlassian.util.concurrent.ResettableLazyReference.get(ResettableLazyReference.java:87)
...
Caused by: java.lang.NoSuchMethodError: com.atlassian.jira.issue.customfields.searchers.DateTimeRangeSearcher.(Lcom/atlassian/jira/security/JiraAuthenticationContext;Lcom/atlassian/jira/jql/operand/JqlOperandResolver;Lcom/atlassian/jira/util/velocity/VelocityRequestContextFactory;Lcom/atlassian/jira/config/properties/ApplicationProperties;Lcom/atlassian/velocity/VelocityManager;Lcom/atlassian/jira/web/action/util/CalendarLanguageUtil;Lcom/atlassian/jira/jql/util/JqlDateSupport;Lcom/atlassian/jira/issue/customfields/searchers/transformer/CustomFieldInputHelper;Lcom/atlassian/jira/timezone/TimeZoneManager;Lcom/atlassian/jira/datetime/DateTimeFormatterFactory;)V
...
at com.atlassian.util.concurrent.LazyReference$Sync.run(LazyReference.java:321)
at com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:143)
... 38 more

原因

The cause of the above error is the interference of Charting plugin after the upgrade is performed.

回避策

The workaround for this error, is to disable Charting plugin.

If you are unable to access JIRA's UI:

In this case, you'll want to remove the plugin manually:

  • Jira をシャットダウンします。
  • Navigate to: $JIRA_HOME/plugins/installed-plugins
  • Remove the charting plugins's *.jar file
    • It should have a filename similar to jira-charting-plugin-x.x.jar
  • Jira を再起動します。
Last modified on Mar 30, 2016

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する

このセクションの項目

Powered by Confluence and Scroll Viewport.